body, p,span, div, h1, h2, h3, h4, h5, h6, a {
    font-family: "Poppins", Sans-serif !important;
}
body.page-id-28806, body.page-id-28806 p{
	font-size: 14px !important;
}
h1, h2, h3, h4, h5, h6{
	font-weight: 600 !important;
}
.newservices_section img {
    width: auto !important;
}
.newservices_section .elementor-flip-box__image  {
    width: 90px;
    background:#fff;
    padding: 15px;
    border-radius: 50px;
    height: 90px;
    border: 4px solid #70b343;
    text-align: center;
}
.newservices_section .elementor-flip-box {
    height: 400px;
}
.newservices_section .elementor-flip-box__layer__overlay{
	    padding: 35px 20px;
}
.about_anchor a {
/*     color: #70b343; */
font-weight: 600;
}
.trusted_partner .elementor-element-populated:hover {
    background: #fff !important;
    box-shadow: 0 30px 50px rgb(231, 240, 233, .8);
}
body .solar_process .cspt-ihbox-icon-type-image {
    background: #fff;
    width: 100px;
    height: 100px;
    padding: 10px;
    border: 1px solid #ededed;
}
body .solar_process .cspt-ihbox-icon-type-image img {
    width: 65px;
}
.solar_process .cspt-ihbox-icon {
    position: absolute;
    top: -40px;
    left: 0;
    right: 0;
}
.solar_process .cspt-ihbox {
    padding: 75px 25px 0;
    border: 1px solid #ededed;
    height: 100%;
}
.solar_process h4 {
    font-size: 24px;
    font-weight: 600;
}
.solar_process .cspt-ihbox h2 {
    font-size: 18px !important;
    color: #70b343;
    margin-bottom: 8px;
    font-weight: 600 !important;
}
.solar_process .cspt-blog-ele {
    padding: 50px 15px 20px;
}
.solar_process .cspt-ihbox:hover .cspt-ihbox-icon-wrapper {
    background: #e7f0e9!important;
}
body .counter_value .elementor-counter-title {
    text-align: left;
}
.client_reviews .cspt-base-icon-quote:before {
    color: #fff;
}
.page-id-17148 .creativesplanet-box-img {
    display: none;
}
.absolute_img {
    position: absolute !important;
    top: -180px;
    right: 0;
    bottom: 70px;
}
body .services_form input, body .services_form select, body .services_form textarea  {
    border: 1px solid #ededed;
    border-radius: 0 !important;
    height: auto !important;
    line-height: normal;
    padding: 10px 15px !important;
}
body .services_form textarea {
    height: 100px !important;
}
body .services_form legend, .Time-selection label {
    font-weight: 600 !important;
}
body.page-id-28806 div#field_4_7 {
    display: none;
}
body .services_form input#gform_submit_button_4 {
    width: auto;
    padding: 15px 30px !important;
    border-radius: 30px;
}
.form_faqs .elementor-tab-title {
    margin-bottom: 0 !important;
}
body.page-id-28806 h4.cspt-element-subtitle {
    font-weight: 600 !important;
}
.mission_sec ul {
    margin-bottom: 0 !important;
    padding-left: 20px;
}
.mission_sec .cspt-heading-subheading, .partners_heading .cspt-heading-subheading {
    margin-bottom: 0;
}
.mission_sec .elementor-widget-wrap {
    width: 600px;
    left: 340px;
}
.partners_logo .elementor-carousel-image {
    background-size: contain !important;
}
.partners_logo .elementor-swiper {
    padding: 0 45px;
}
.partners_logo .swiper-pagination {
    bottom: -8px !important;
}
.cspt-footer-copyright {
    padding-bottom: 15px;
}
.checkbox_service .gchoice {
	position: relative;
}
.checkbox_service .gchoice label {
    width: 155px;
    background: #ededed;
    padding: 8px 5px;
    font-weight: 500;
    text-align: center;
    max-width: 100% !important;
    margin: 0 15px 15px 0 !important;
}
.checkbox_service .gfield_checkbox {
    display: flex;
    align-items: center;
	flex-wrap: wrap;
}
.checkbox_service .gfield_checkbox input {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    opacity: 0;
	width: 169px;
}
.checkbox_service input[type="checkbox"]:checked + label {
    background: #84bb46;
    color: #fff;
}
body .wp-gr .grw-slider .grw-slider-dot.active{
	background: #0a77af!important
}
.services_form .test-address label {
    display: none !important;
}
.services_form .gfield_radio {
    display: flex;
}
.services_form .gfield_radio .gchoice{
	padding-right: 10px;
}
.services_form .gform_footer input {
    padding: 15px 30px!important;
    letter-spacing: 1px;
}
.services_form input[type="radio"] {
    position: relative;
    width: 20px;
    height: 20px !important;
    color: #000;
    border: 1px solid #d5d5d5;
    appearance: none;
    outline: 0;
    cursor: pointer;
    padding: 5px !important;
}
.services_form input[type="radio"]::before {
    position: absolute;
    content: '';
    display: block;
    top: 2px;
    left: 6px;
    width: 6px;
    height: 12px;
    border-style: solid;
    border-color: #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    opacity: 0;
}
.services_form input[type="radio"]:checked {
    color: #fff;
    border-color: #80b700;
    background: #80b700;
}
.services_form input[type="radio"]::before {
      opacity: 1;
}
.services_form label {
    font-weight: 500;
    padding-left: 7px;
}
.services_form .gfield_radio .gchoice {
    margin-right: 20px;
}
body .wp-gr .wp-google-wr a {
    background: #0a77af!important;
    text-shadow: none !important;
    text-transform: capitalize !important;
}
body .wp-gr .wp-google-wr a:hover {
    background: #84bb46!important;
}
.wp-google-name span {
    font-size: 18px !important;
}
.grecaptcha-badge {
    z-index: 2;
}
/*****************New-popup*****************/
.listing_popup ul {
    list-style: none;
}
.listing_popup li::before {
    background: url(/wp-content/uploads/2023/09/check-mark-new.png) no-repeat;
    position: absolute;
    left: 0;
    content: '';
    width: 24px;
    height: 24px;
    padding: 24px;
}

.listing_popup li {
    position: relative;
}
.dialog-message.dialog-lightbox-message {
    width: 500px !important;
    margin: 0 auto;
}
.home_popup .gfield--type-email, .home_popup .gfield--type-phone {
    grid-column: span 6 !important;
}
.home_popup .gfield_checkbox {
    display: flex;
    flex-wrap: wrap;
}
.home_popup input[type="checkbox"] {
    position: relative;
    width: 22px;
    height: 22px !important;
    color: #000;
    border: 1px solid #9C9C9C;
    appearance: none;
    outline: 0;
    cursor: pointer;
    padding: 5px !important;
    border-radius: 5px;
    margin-right: 5px;
	background:#fff;
}
.home_popup input[type="checkbox"]::before {
    position: absolute;
    content: '';
    display: block;
    top: 2px;
    left: 6px;
    width: 6px;
    height: 12px;
    border-style: solid;
    border-color: #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    opacity: 0;
}
.home_popup input[type="checkbox"]:checked {
    color: #fff;
    border-color: #70B343;
    background: #70B343;
}
.home_popup input[type="checkbox"]:checked::before {
      opacity: 1;
}
.home_popup .gfield_checkbox .gchoice label {
    max-width: unset !important;
	font-size: 14px !important;
}
.home_popup .gfield_checkbox .gchoice {
    text-align: left;
    margin-bottom: 5px;
    font-family: 'poppins', sans-serif;
	padding-right: 30px;
    font-weight: 500;
}
.home_popup .gform_footer {
    padding: 0 !important;
}
.dialog-widget-content {
    background-image: url(/wp-content/themes/greenly-child/img/popup_bgimg.jpg) !important;
    border-radius: 0 !important;
	background-position: center center !important;
}
.home_popup .clbck .name_first {
    padding-right: 0 !important;
}
/* 
.dialog-widget-content::before {
    content: '';
    background: linear-gradient(205deg, rgba(12, 5, 5, 0.29) 5.74%, rgba(217, 217, 217, 0.61) 28.1%);
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
} */
.dialog-close-button {
    background: #fff;
    padding: 2px;
	right: -6px !important;
    top: -6px !important;
    border-radius: 50%;
}
.home_popup .gfield--type-choice legend {
    text-align: left;
}
.home_popup .listing_popup{
	margin-bottom:0 !important;
}
.home_popup .gform_button{
	text-transform: uppercase;
	width: 100%;
}
/**********************************/


/*******************Heat-Pump Landing-Page********************/
.heatpump_form {
    background: url(/wp-content/themes/greenly-child/img/vector_img.png) no-repeat center right;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .3);
    padding: 15px;
    margin-top: -35px;
    background-color: #fff;
    background-size: 65%;
}
.heatpump_form .gfield {
    width: 23.5%;
}
.gform_footer input {
    border-radius: 0 !important;
	font-family: 'poppins',sans-serif;
}
.heatpump_form .gform_fields {
    display: flex !important;
    flex-wrap: wrap;
}
label#input_21_12_1_label {
    display: none;
}
.heatpump_form .gform_footer {
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;
}
.heatpump_form .gform_footer input {
    margin-bottom: 0 !important;
}
input{
	border-width: 1px !important;
}
.gform_validation_errors {
    border: 0 !important;
    box-shadow: none !important;
    background: no-repeat !important;
    text-align: center;
    padding: 0 !important;
}
.validation_message {
/*     display: none; */
}
.anchor_color {
    color: #0a77af;
}
.common_form .name_first {
	padding-right: 0 !important;
}
.inverter_section .elementor-image-box-wrapper:hover a {
    color: #84bb46;
}
footer .menu-company-container li a {
    padding-left: 14px !important;
}
body.page-id-28806 .elementor-widget:not(:last-child) {
    margin-bottom: 10px;
}
.site-footer p, .site-footer a {
    font-size: 13px;
	line-height: 20px;
}
.ac_features h4 {
    font-size: 24px;
    line-height: 34px;
}
.ac_features .cspt-heading-desc {
    color: #666;
    font-size: 14px;
}
.ac_features .cspt-ihbox-style-7 {
    height: 100%;
    margin-bottom: 0;
}
.ac_features .col-md-4 {
    margin-bottom: 25px;
}
.home_connectsec .cspt-ihbox-icon {
    padding-right: 10px !important;
}
.home_connectsec h4 {
    font-weight: 400 !important;
    font-size: 14px !important;
    line-height: 24px !important;
    margin: 0;
}
.home_connectsec h2 {
	margin-bottom: 10px !important;
	color: #000 !important;
}
.home_connectsec .cspt-ihbox {
    margin-bottom: 0;
    height: 100%;
}
.home_connectsec .cspt-blog-ele {
    margin-bottom: 30px;
}
.cspt-footer-widget-col-1 p:nth-child(2) {
    margin-top: 30px !important;
}
.equal_boxes .cspt-ihbox-style-7{
	margin-bottom: 0 !important;
	height: 100%;
}	
.equal_boxes .cspt-blog-ele {
    margin-bottom: 20px;
    flex: 100% !important;
    padding: 0 5px;
}
.equal_boxes .cspt-ihbox-contents h2{
	font-size: 16px !important;
}
.equal_boxes .cspt-ihbox-icon-wrapper, .equal_boxes .cspt-ihbox-contents{
	text-align: center !important;
}
.equal_boxes .multi-columns-row {
    justify-content: center;

}
.product_outer {
    height: 100%;
}
.product_outer .elementor-container {
    height: 100%;
}
body .cspt-blogbox-style-3 .creativesplanet-box-content {
    padding: 0 !important;
}
body .cspt-blogbox-style-3 .post-item .cspt-post-title {
    font-size: 18px;
    line-height: 26px;
}
.creativesplanet-box-desc {
    font-size: 14px;
}
.post_listing ul {
    padding-left: 20px;
}
.tesla-form textarea {
    height: 100px !important;
}
.teslaform_outer {
    max-width: 100%;
    margin: 0 auto;
    background: url(/wp-content/themes/greenly-child/img/vector_img.png) no-repeat center right;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .3);
    padding: 15px;
    margin-top: -35px;
    background-color: #fff;
    background-size: 65%;
}
.teslaform_outer textarea{
  border:1px solid #ececec;
}
.cspt-footer-widget-col-3 p strong {
    display: block;
}
.alpha-video{
    height: 600px;
}
.alpha-video div {
    height: 100%;
    width: 100%;
}
.alpha-video .elementor-custom-embed-image-overlay::before {
    content: '';
    background: rgba(0, 0, 0, .2);
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: absolute;
}
.alpha-video .eicon-play {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}
/************************Media-Queries***************************************/

@media screen and (min-width: 1601px) and (max-width: 1900px){
	.mission_sec .elementor-widget-wrap {
		left: 20%;
	}
}


@media screen and (min-width: 1301px) and (max-width: 1600px){
	.mission_sec .elementor-widget-wrap {
		left: 50px;
	}
}


@media screen and (min-width: 1200px) and (max-width: 1300px){
	.mission_sec .elementor-widget-wrap {
		left: 0;
	}
}

@media screen and (min-width: 992px) and (max-width: 1199px){
	.wide_services h3 {
		font-size: 20px !important;
		line-height: 26px !important;
	}
	.newservices_section .elementor-flip-box__layer__overlay {
      padding: 35px 15px;
    }
	.mission_sec .elementor-widget-wrap {
      left: 0;
    }
}


@media screen and (min-width: 768px) and (max-width: 1024px){
	.cspt-heading-subheading .cspt-element-title {
       font-size: 26px!important;
	}
}


@media screen and (min-width: 768px) and (max-width: 991px){
    .teslaform_outer {
        max-width: 350px;
        padding: 0;
    }
	.rating_page .elementor-widget-image, .rating_page .elementor-widget-container {
      height: 100%;
    }
  body .wide_services .elementor-col-25 {
      width: 50%;
   }
   .solar_teamimg img {
     max-width: 300px !important;
   }
   .mission_section {
    margin-top: 10px !important;
   }
   .ac_features .col-md-4 {
    max-width: 50%;
    flex: 100%;
   }
   .ac_features .cspt-ihbox-style-7 {
    padding: 15px;
   }
}

@media screen and (max-width: 991px){
	.absolute_img .elementor-widget-wrap {
      height: 500px;
      margin: 20px 15px 0;
    }
	.absolute_img {
     position: unset !important;
	}
	.mission_sec .elementor-widget-wrap {
      width: 100%;
      left: 0;
     }
	 .grw-slider-dots {
      display: none !important;
    }
}

@media screen and (max-width: 767px){
    .alpha-video{
        height: 400px;
    }
	.ac_details {
      text-align: center;
    }
	.ac_features .cspt-ihbox-icon-type-image, .ac_features .cspt-element-subtitle {
      text-align: center !important
    }
	.ac_features h4 {
    font-size: 18px;
    line-height: 26px;
	margin-bottom: 5px;
    }
	.footer_bottom{
		display: block !important;
		font-size: 14px;
        line-height: 24px !important;
	}
	body .services_form input, body .services_form textarea, body .services_form select {
    border: 1px solid #ededed;
    border-radius: 0 !important;
    height: auto;
    line-height: normal;
    padding: 5px 15px !important;
  }
	body .cspt-heading-subheading .cspt-element-title {
     font-size: 18px!important;
     line-height: 26px!important;
    }
	.absolute_img .elementor-widget-wrap {
      height: 300px;
    }
	body .counter_value .elementor-counter-title {
     text-align: center ;
    }
	.top_pumptext h1 {
      max-width: 310px;
    }
	.heatpump_form .gform_fields {
      display: block !important;
    }
	.heatpump_form .gfield, .common_form .gfield{
      width: 100%;
      margin-bottom: 8px;
	  grid-column: span 12 !important;
    }
	.heatpump_form .gform_footer input {
      padding: 8px 15px;
    }
	.heatpump_form {
      padding: 15px 5px;
	}
	.heatpump_form .gform_footer {
      padding-top: 5px !important;
    }
	.heatpump_form .name_first {
      margin-bottom: 8px;
      padding-right: 0 !important;
    }
	.solar_teamimg {
      position: unset !important;
      padding: 0 10px 20px;
    }
	.newservices_section .elementor-flip-box {
      height: 330px;
    }
	.checkbox_service .gfield_checkbox {
      flex-wrap: wrap;
    }
	.mission_sec .elementor-widget-wrap{
		width: 100%;
		left: 0;
	}
	.services_form .column-lady {
      grid-column: span 12 !important;
    }
	.partners_logo .elementor-swiper {
      padding: 0 20px;
    }
	.partners_logo .elementor-carousel-image {
      background-size: contain !important;
    }
	.common_form .gform_wrapper.gravity-theme .gform_fields{
		grid-row-gap: 0 !important;
	}
}

@media screen and (min-width: 576px) and (max-width:767px){
  .inverter_section .elementor-col-25, .wide_services .elementor-col-25, 
  .equal_boxes .cspt-blog-ele, .mobile_width .elementor-col-50 {
      width: 50%;
   }
   .equal_boxes .cspt-blog-ele {
     max-width: 48% !important;
   }
}

@media screen and (max-width: 640px){
    .teslaform_outer .name_first {
        margin-bottom: 0 !important;
    }
    .teslaform_outer {
        max-width: 460px;
        padding:0;
    }
    .teslaform_outer .gfield--type-email {
            margin-right: 10px;
    }
	.home_popup .gfield--type-email, .home_popup .gfield--type-phone {
      grid-column: span 12 !important;
    }
	.home_popup .gfield_checkbox .gchoice {
	  padding-right: 10px;
    }
	.clbck .gform_footer.top_label input {
     padding: 10px 15px !important;
   }
}

@media screen and (max-width: 480px){
    .teslaform_outer .gfield--type-email {
        margin-right: 0;
    }
    .teslaform_outer {
        padding: 0;
        max-width: 95%;
    }
    .teslaform_outer  input[type=submit]{
        padding: 10px 22px;
    }
    .teslaform_outer .column-lady {
        grid-column: span 12 !important;
    }
	.checkbox_service .gchoice label {
      margin: 0 0 8px 0 !important;
    }
   .checkbox_service .gchoice {
     margin-bottom: 0;
     width: 100%;
	 text-align: center;
   }
   .checkbox_service .gchoice label, .checkbox_service .gfield_checkbox input {
     width: 100%;
     max-width: 100% !important;
   }
   .services_form .gform_footer input {
     padding: 10px!important;
   }
   .wp-gr .grw-slider .grw-slider-dots{
	   display: none !important;
   }
   .google_reviewsec .elementor-widget-container img {
    width: 215px;
   }
   input#input_22_1_3 {
    margin-bottom: 10px;
   }
}

.gfield_validation_message {
/*     display: none; */
	font-size: 12px !important;
    background: none !important;
    font-weight: 700;
    padding: 0px !important;
    border: none !important;
    text-align: left;
}
.namerror #validation_message_4_1 {
    display: block;
    border: 0 !important;
    background: 0 !important;
    padding: 0px !important;
    font-size: 12px;
    font-weight: bold;
    margin: 2px !important;
}

.namerror div#validation_message_22_19 {
    display: block;
    border: 0 !important;
    background: 0 !important;
    padding: 0px !important;
    font-size: 12px;
    font-weight: bold;
    margin: 2px !important;
}

.usformatonly div.validation_message { 
    display: block;
    border: 0 !important;
    background: 0 !important;
    padding: 0px !important;
    font-size: 12px !important;
    font-weight: bold;
    margin: 2px !important;
}
@media (min-width: 1651px) and (max-width: 1800px) {
    .site-footer p, .site-footer a {
        font-size: 15px !important;
    }
}

.cspt-search-results-right .cspt-post-title a {
    color: #ffffff !important;
}
.cspt-entry-content {
    color: #fff;
}
.nav-links .page-numbers {
    color: #ffffff !important;
}
